Oore CI

List builds

Returns builds, optionally filtered by project, pipeline, status, branch, trigger, actor, or creation time, or searched with `q`.

Operation IDlist_builds
GET
/v1/builds

Returns builds, optionally filtered by project, pipeline, status, branch, trigger, actor, or creation time, or searched with q.

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Query Parameters

limit?integer

Page size (default 50)

Formatint64
offset?integer

Page offset (default 0)

Formatint64
project_id?string

Filter by project

pipeline_id?string

Filter by pipeline

status?string

Filter by one status or up to 9 comma-separated statuses

branch?string

Filter by exact branch name

trigger?string

Filter by one or more comma-separated trigger kinds: manual, api, schedule, push, pull_request, or tag_push. The last three are webhook events.

actor?string

Filter by exact trigger actor (the user email for manual builds, the SCM login for webhook builds). At most 320 characters.

created_after?integer

Only builds created at or after this Unix time in seconds

Formatint64
created_before?integer

Only builds created before this Unix time in seconds. Must be later than created_after.

Formatint64
q?string

Search builds, case-insensitively, by build number (with or without #), part of the branch, the start of the commit SHA, or part of the pipeline or project name. At most 200 characters.

sort?string

Sort by created_at, status, project_name, pipeline_name, or branch

direction?string

Sort direction: asc or desc

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/builds"
{  "builds": [    {      "approval": null,      "branch": "string",      "build_number": 0,      "changelog": "string",      "commit_sha": "string",      "config_snapshot": {},      "context": null,      "created_at": 0,      "exit_code": 0,      "finished_at": 0,      "id": "string",      "pipeline_id": "string",      "project_id": "string",      "queued_at": 0,      "retry_steps": [        "string"      ],      "runner_id": "string",      "runner_policy_block_reason": null,      "source_build_id": "string",      "started_at": 0,      "status": "queued",      "step_results": [        {          "duration_ms": 0,          "exit_code": 0,          "finished_at": 0,          "name": "string",          "publish_from_file": true,          "started_at": 0,          "status": "string"        }      ],      "trigger_actor": "string",      "trigger_event": "string",      "trigger_ref": "string",      "trigger_type": "manual",      "updated_at": 0    }  ],  "total": 0}